/** * 定位卡
 * 
*/

export default class LocationCard{
/** * 定位卡
    * @param {Number} lat - 定位卡纬度 
    * @param {Number} lng - 定位卡经度 
    * @param {String} milli_time - 定位时间戳（毫秒）
    * @param {String} locTime - 定位时间 
    * @param {Number} card_id - 定位卡ID 
    * @param {JSX} info - jsx详细信息 
    * @param {String} src - 标记图标路径
   */
    constructor(lat, lng, loc_time, milli_time, card_id, info, src){
        this.lat = lat;
        this.lng = lng;
        this.milli_time = milli_time;
        this.loc_time = loc_time;
        this.card = card_id;
        this.src = src ? src : "img/move.png";
        this.info = info;
    }
}